<?php

/**

 * @package Exit Popup

 */

/*

Plugin Name: Exit intent

Plugin URI: http://exitpopuplugin.com/

Description: This plugin will create custom popup to your website using exit intent technology. Popup will appear when user will bring his cursor out of browser window.

Version: 1.0.0

Author: Ursa Bratina

Author URI: http://exitpopuplugin.com/

License: GPLv2 or later

*/



// Make sure we don't expose any info if called directly
session_start();
add_action( 'admin_menu', 'register_my_custom_menu_page' );



function register_my_custom_menu_page(){

    add_menu_page( 'Exit Intent ', 'Exit Intent', 'manage_options', 'exitpopup', 'my_custom_menu_page', plugins_url( 'exitpopup/img/logo.png' ), 90 ); 

}



function my_custom_menu_page(){ 

require_once plugin_dir_path( __FILE__ ).'/functions.php';

if(empty($_GET['dd'])){

require_once plugin_dir_path( __FILE__ ).'/main.php';

}

else{

	if(file_exists(plugin_dir_path( __FILE__ ).$_GET['dd'].'.php')){

	require_once plugin_dir_path( __FILE__ ).$_GET['dd'].'.php' ;

	}

}



}



function exit_popup_func( $atts ) {

	extract( shortcode_atts( array(

		'id' => 'something',

		

	), $atts ) );



	dd_function($id);

}

add_shortcode( 'exit_popup', 'exit_popup_func' );





function dd_function($pid) {

	 $qry = "SELECT `dd_pages`.`page_id`,

 	`dd_pages`.`page_title`,

 	`dd_pages`.`page_content`, 
	
	
 	`dd_size`.`box_w`,

    `dd_size`.`box_h`,

    `dd_size`.`box_pad`,

    `dd_size`.`title_pad`,

    `dd_size`.`content_pad`,

    `dd_size`.`link_pad`,

	`dd_size`.`title_tag`,

	`dd_color`.`bg`,

    `dd_color`.`box_bg`,

    `dd_color`.`title_bg`,

    `dd_color`.`title_text`,

    `dd_color`.`content_bg`,

    `dd_color`.`content_text`,

    `dd_color`.`link_bg`,

    `dd_color`.`link_text`,

	`dd_color`.`title_align`,
	`dd_pages`.`secondpage_content`

	 FROM `dd_pages`,`dd_size`,`dd_color` where `dd_pages`.`page_id` = ".$pid." AND `dd_pages`.`page_id` = `dd_color`.`page_id` AND `dd_pages`.`page_id` = `dd_size`.`page_id`";

	 

    require_once plugin_dir_path( __FILE__ ).'display.php' ;

}



//add_action('wp_footer', 'dd_function');





 ?>